%define name ghemical
%define version 1.00
%define release 3mdk

Summary: Molecular mechanics and quantum mechanics frontend for GNOME.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
Source0: %name-%version.tar.bz2
URL: http://www.uku.fi/~thassine/ghemical/
Buildroot: %{_tmppath}/%{name}-buildroot
Requires: libgtkglarea5 gnome-libs libglade0 libSC4
BuildRequires: libgtkglarea5-devel libMesaGLU1-devel libMesaglut3-devel 
Buildrequires: libSC4 libgnome32-devel libglade0-devel libSC4-devel
BuildRequires:	f2c
Source1: ghemical.png

%description
Ghemical is a computational chemistry software package released under the 
GNU GPL.
Ghemical is written in C++. It has a graphical user interface (in fact, 
a couple of them), and it supports both quantum-mechanics (semi-empirical 
and ab initio) models and molecular mechanics models (there is an experimental
Tripos 5.2-like force field for organic molecules). Also a tool for reduced 
protein models is included. Geometry optimization, molecular dynamics
and a large set of visualization tools are currently available.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --enable-mpqc

%make

%install
make install gnome_help=$RPM_BUILD_ROOT/%_datadir/gnome/help/%name/C prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr data_dest=$RPM_BUILD_ROOT/%_datadir/%name bindir=$RPM_BUILD_ROOT/usr/bin

# Mandrake Menu
install -d $RPM_BUILD_ROOT/%{_menudir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(ghemical):command="/usr/bin/ghemical" icon="ghemical.png" needs="text" section="Applications/Sciences/Chemistry" title="Ghemical" longtitle="MM/QM Frontend for GNOME"
EOF
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS BUGLIST CHANGES COPYING PROJECT TODO
%doc %_datadir/gnome/help/%{name}
%_bindir/%name
%_datadir/%name
%_iconsdir/ghemical.png
%_menudir/%name

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.00-3mdk
- buildrequires

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.00-2mdk
- rebuild

* Thu Dec 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.00-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- use make install
	- link with mpqc
	- 1.00 for MDK 9.0+

* Sun Jul 28 2002 Austin Acton <aacton@yorku.ca> 0.90-2mdk
- remove requires GL, GLU

* Tue Jul 16 2002 Austin Acton <aacton@yorku.ca> 0.90-1mdk
- stole specfile from RedHat SRPM
- inital package creation for MDK 8.2
